POST/ form/
Create a pop-up
You can create customized pop-ups.
| Attributes | Type | Required | Description |
|---|---|---|---|
| content | string | yes | A content of your pop-up (HTML can be used inside). |
| name | string | yes | A pop-up name. |
| description | string | no | A description of your pop-up. |
| author | integer | no | A unique identifier for an agent which is given by User automatically. |
| category | integer | no | A unique identifier for a pop-up category automatically generated by User |
Request
- cURL
- JavaScript
- PHP
- Python
curl -X POST "https://<your_app_subdomain>.user.com/api/public/form/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2" \
-H "Content-Type: application/json" \
-d '{
"name": "Spring sale banner",
"content": "<p>Spring sale: 20% off everything this week.</p>",
"description": "Shown on the home page."
}'
const response = await fetch(
"https://<your_app_subdomain>.user.com/api/public/form/",
{
method: "POST",
headers: {
Authorization: "Token <your_64_char_api_key>",
Accept: "*/*; version=2",
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "Spring sale banner",
content: "<p>Spring sale: 20% off everything this week.</p>",
description: "Shown on the home page.",
}),
},
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/form/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Token <your_64_char_api_key>",
"Accept: */*; version=2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => json_encode([
"name" => "Spring sale banner",
"content" => "<p>Spring sale: 20% off everything this week.</p>",
"description" => "Shown on the home page.",
]),
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
response = requests.post(
"https://<your_app_subdomain>.user.com/api/public/form/",
headers={
"Authorization": "Token <your_64_char_api_key>",
"Accept": "*/*; version=2",
},
json={
"name": "Spring sale banner",
"content": "<p>Spring sale: 20% off everything this week.</p>",
"description": "Shown on the home page.",
},
)
print(response.json())
Response examples
- 201 Created
{
"key": "g7lvoickax9e",
"name": "Spring sale banner",
"description": "Shown on the home page.",
"content": "<p>Spring sale: 20% off everything this week.</p>",
"author": 1,
"category": null,
"folder": null
}
Response fields
Fields returned in the 201 Created response body.
| Field | Type | Description |
|---|---|---|
keystring | string | Unique key of the pop-up. |
namestring | string | A pop-up name. |
descriptionstring | string | A description of your pop-up. |
contentstring | string | A content of your pop-up (HTML can be used inside). |
authorinteger | integer | Agent group ID of the agent who created the pop-up. |
categoryintegernullable | integernullable | A unique identifier for a pop-up category automatically generated by User |
folderintegernullable | integernullable | ID of the folder the pop-up is in, or null. |
note
Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.